# GET /lead-gen/searches/:id

**Resource:** [Lead Generation](./lead-gen.md)  
**Scopes:** `lead-gen:read`  
**Write operation:** no

Get a single search by ID including all results. For async searches (max_results > 100) still in "running" status, this endpoint automatically polls Apify and processes results if the run has completed. Poll every 30-60 seconds until status is "completed" or "failed". Results are sorted by Google rating (highest first).

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `id` | path | uuid | yes | Search UUID |

## Request example

```bash
curl -X GET \
  "https://api.trustpager.com/functions/v1/api/v1/lead-gen/searches/8685d0d4-..." \
  -H "Authorization: Bearer YOUR_API_KEY"
```

## Response example

```json
{
  "data": {
    "id": "8685d0d4-...",
    "status": "completed",
    "result_count": 42,
    "new_result_count": 38,
    "already_in_crm_count": 4,
    "results": [ ... ],
    "meta": { "url": "https://app.trustpager.com/tools/lead-gen" }
  }
}
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`